package.path=package.path..";C:\\Users\\micro\\AppData\\Roaming\\com.nesbox.tic\\TIC-80\\rift\\?.lua"	-- jtruk
package.path=package.path..";C:\\Users\\Ronan\\AppData\\Roaming\\com.nesbox.tic\\TIC-80\\rift\\?.lua"	-- Mantratronic
package.path=package.path..";C:\\Users\\matt\\AppData\\Roaming\\com.nesbox.tic\\TIC-80\\rift\\?.lua"	-- jynx

local R={}
require("./sys/sys")(R)
require("./ui/mouse")(R)

local MOUSE=nil

function BOOT()
    MOUSE=R.Mouse:new()
end

function TIC()
    cls()
    R.tryBreak()

    local mouse=MOUSE:update()

    print(string.format("X,Y: %d,%d",mouse.x,mouse.y),0,0,12)
    print(string.format("btn: %s%s%s",
        mouse.lb and "L" or "-",
        mouse.mb and "M" or "-",
        mouse.rb and "R" or "-"),
        0,10,12
    )
    print(string.format("btnp: %s%s%s",
        mouse.lbp and "L" or "-",
        mouse.mbp and "M" or "-",
        mouse.rbp and "R" or "-"),
        0,20,12
    )
end

-- <PALETTE>
-- 000:1a1c2c5d275db13e53ef7d57ffcd75a7f07038b76425717929366f3b5dc941a6f673eff7f4f4f494b0c2566c86333c57
-- </PALETTE>

